import { getCurrentInstance } from 'vue';

export default {
    mounted: function () {
        const vm = getCurrentInstance();
        if (vm.type.name === 'QForm') {
            if (!['searchbarForm', 'filterPanelForm'].includes(this.$el?.id)) {
                // TODO: AUTOFOCUS IS NOT FOCUSING
                const that = this;
                this.$el.addEventListener('keyup', function (evt) {
                    if (evt.key === 'Enter') {
                        const input = evt.target;
                        if (input.type == 'textarea' && evt.shiftKey) {
                            evt.preventDefault();
                            let { selectionStart, selectionEnd } = input;
                            input.value =
                                input.value.substring(0, selectionStart) +
                                '\n' +
                                input.value.substring(selectionEnd);
                            selectionStart = selectionEnd = selectionStart + 1;
                            return;
                        }
                        evt.preventDefault();
                        that.onSubmit();
                    }
                });
            }
        }
    },
};
